%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/agext/levenshtein
Version:                1.2.3

%gometa

%global common_description %{expand:
Levenshtein distance and similarity metrics with customizable edit costs and
Winkler-like bonus for common prefix.}

%global golicenses      LICENSE NOTICE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Levenshtein distance and similarity metrics

License:        Apache-2.0
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
